diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/SimpleService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/SimpleService.wsdl
index 3658e89a1e8..004336e182c 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/SimpleService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/SimpleService.wsdl
@@ -44,7 +44,7 @@
     </wsdl:binding>
     <wsdl:service name="SimpleService">
         <wsdl:port binding="tns:SimpleServiceSoapBinding" name="SimpleServicePort">
-            <soap:address location="http://server.domain:8080/schema-location-rewrite/SimpleService"/>
+            <soap:address location="http://server.domain:${jboss.http.port:8080}/schema-location-rewrite/SimpleService"/>
         </wsdl:port>
     </wsdl:service>
 </wsdl:definitions>
\ No newline at end of file
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/imported/AnotherService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/imported/AnotherService.wsdl
index 3403c85ccfa..7680a844099 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/imported/AnotherService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/schemalocations/imported/AnotherService.wsdl
@@ -41,7 +41,7 @@
     </wsdl:binding>
     <wsdl:service name="AnotherService">
         <wsdl:port binding="tns:AnotherServiceSoapBinding" name="AnotherServicePort">
-            <soap:address location="http://server.domain:8080/schema-location-rewrite/AnotherService"/>
+            <soap:address location="http://server.domain:${jboss.http.port:8080}/schema-location-rewrite/AnotherService"/>
         </wsdl:port>
     </wsdl:service>
 </wsdl:definitions>
\ No newline at end of file
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefEarTestCase.java b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefEarTestCase.java
index f5f906f322c..aeed1252e58 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefEarTestCase.java
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefEarTestCase.java
@@ -95,7 +95,7 @@
                 new RuntimePermission("org.apache.cxf.permission", "resolveUri"),
                 new RuntimePermission("createClassLoader"),
                 new RuntimePermission("accessDeclaredMembers"),
-                new SocketPermission(node0 + ":8080", "connect,resolve")), "jboss-permissions.xml");
+                new SocketPermission(node0 + ":" + System.getProperty("jboss.http.port", "8080"), "connect,resolve")), "jboss-permissions.xml");
 
         return ear;
     }
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefSevletTestCase.java b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefSevletTestCase.java
index 458da00dd0c..162e3b1b985 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefSevletTestCase.java
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefSevletTestCase.java
@@ -88,7 +88,7 @@ public static WebArchive clientDeployment() {
                 new RuntimePermission("org.apache.cxf.permission", "resolveUri"),
                 new RuntimePermission("createClassLoader"),
                 new RuntimePermission("accessDeclaredMembers"),
-                new SocketPermission(node0 + ":8080", "connect,resolve")), "jboss-permissions.xml");
+                new SocketPermission(node0 + ":" + System.getProperty("jboss.http.port", "8080"), "connect,resolve")), "jboss-permissions.xml");
         return war;
     }
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefTestCase.java b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefTestCase.java
index 2b0ad3045f0..39d7afe71ce 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefTestCase.java
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/ServiceRefTestCase.java
@@ -98,7 +98,7 @@ public static JavaArchive deployment() {
                         new RuntimePermission("org.apache.cxf.permission", "resolveUri"),
                         new RuntimePermission("createClassLoader"),
                         new RuntimePermission("accessDeclaredMembers"),
-                        new SocketPermission(node0 + ":8080", "connect,resolve")
+                        new SocketPermission(node0 + ":" + System.getProperty("jboss.http.port", "8080"), "connect,resolve")
                 ), "jboss-permissions.xml");
     }
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/TestService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/TestService.wsdl
index 77ce4a1c5b3..d5b5e569f73 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/TestService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/serviceref/TestService.wsdl
@@ -31,7 +31,7 @@
     </binding>
     <service name='EndpointService'>
         <port binding='tns:EndpointInterfaceBinding' name='EJB3BeanPort'>
-            <soap:address location='http://${node0:localhost}:8080/ws-serviceref-example/EndpointService/EJB3Bean'/>
+            <soap:address location='http://${node0:localhost}:${jboss.http.port:8080}/ws-serviceref-example/EndpointService/EJB3Bean'/>
         </port>
     </service>
 </definitions>
\ No newline at end of file
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsrm/ReliableService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsrm/ReliableService.wsdl
index b3e308e2747..6fab44fcf39 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsrm/ReliableService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsrm/ReliableService.wsdl
@@ -71,7 +71,7 @@
     </wsdl:binding>
     <wsdl:service name="ReliableService">
         <wsdl:port binding="tns:ReliableServiceSoapBinding" name="ReliableServicePort">
-            <soap:address location="http://server.domain:8080/ws-reliable-messaging-example/ReliableService"/>
+            <soap:address location="http://server.domain:${jboss.http.port:8080}/ws-reliable-messaging-example/ReliableService"/>
         </wsdl:port>
     </wsdl:service>
 </wsdl:definitions>
\ No newline at end of file
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ActAsService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ActAsService.wsdl
index 2d179b276c5..7cdc6eb48eb 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ActAsService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ActAsService.wsdl
@@ -45,7 +45,7 @@
     </binding>
     <service name="ActAsService">
         <port name="ActAsServicePort" binding="tns:ActAsServicePortBinding">
-            <soap:address location="http://@node0@:8080/jaxws-samples-wsse-policy-trust-actas/ActAsService"/>
+            <soap:address location="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust-actas/ActAsService"/>
         </port>
     </service>
 
@@ -71,7 +71,7 @@
                                     <sp:Issuer>
                                         <wsaws:Address>http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService</wsaws:Address>
                                         <wsaws:Metadata xmlns:wsdli="http://www.w3.org/2006/01/wsdl-instance"
-                                                        wsdli:wsdlLocation="http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService?wsdl">
+                                                        wsdli:wsdlLocation="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService?wsdl">
                                             <wsaw:ServiceName xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl"
                                                               xmlns:stsns="http://docs.oasis-open.org/ws-sx/ws-trust/200512/"
                                                               EndpointName="UT_Port">stsns:SecurityTokenService
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/BearerService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/BearerService.wsdl
index 34954bd2f32..5326d0f12ae 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/BearerService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/BearerService.wsdl
@@ -99,7 +99,7 @@
                                 <wsaws:Address>http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts-bearer/SecurityTokenService</wsaws:Address>
                                 <wsaws:Metadata
                                         xmlns:wsdli="http://www.w3.org/2006/01/wsdl-instance"
-                                        wsdli:wsdlLocation="http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts-bearer/SecurityTokenService?wsdl">
+                                        wsdli:wsdlLocation="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust-sts-bearer/SecurityTokenService?wsdl">
                                     <wsaw:ServiceName
                                             xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl"
                                             xmlns:stsns="http://docs.oasis-open.org/ws-sx/ws-trust/200512/"
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/HolderOfKeyService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/HolderOfKeyService.wsdl
index 01f3989eecd..bb4e6d71e3a 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/HolderOfKeyService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/HolderOfKeyService.wsdl
@@ -99,7 +99,7 @@
                                 <wsaws:Address>http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts-holderofkey/SecurityTokenService</wsaws:Address>
                                 <wsaws:Metadata
                                         xmlns:wsdli="http://www.w3.org/2006/01/wsdl-instance"
-                                        wsdli:wsdlLocation="http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts-holderofkey/SecurityTokenService?wsdl">
+                                        wsdli:wsdlLocation="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust-sts-holderofkey/SecurityTokenService?wsdl">
                                     <wsaw:ServiceName
                                             xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl"
                                             xmlns:stsns="http://docs.oasis-open.org/ws-sx/ws-trust/200512/"
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/OnBehalfOfService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/OnBehalfOfService.wsdl
index b574395046e..35fcaab4b74 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/OnBehalfOfService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/OnBehalfOfService.wsdl
@@ -45,7 +45,7 @@
     </binding>
     <service name="OnBehalfOfService">
         <port name="OnBehalfOfServicePort" binding="tns:OnBehalfOfServicePortBinding">
-            <soap:address location="http://@node0@:8080/jaxws-samples-wsse-policy-trust-onbehalfof/OnBehalfOfService"/>
+            <soap:address location="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust-onbehalfof/OnBehalfOfService"/>
         </port>
     </service>
 
@@ -71,7 +71,7 @@
                                     <sp:Issuer>
                                         <wsaws:Address>http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService</wsaws:Address>
                                         <wsaws:Metadata xmlns:wsdli="http://www.w3.org/2006/01/wsdl-instance"
-                                                        wsdli:wsdlLocation="http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService?wsdl">
+                                                        wsdli:wsdlLocation="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService?wsdl">
                                             <wsaw:ServiceName xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl"
                                                               xmlns:stsns="http://docs.oasis-open.org/ws-sx/ws-trust/200512/"
                                                               EndpointName="UT_Port">stsns:SecurityTokenService
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/PicketLinkSTS.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/PicketLinkSTS.wsdl
index d70c56128e3..9496c99bf97 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/PicketLinkSTS.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/PicketLinkSTS.wsdl
@@ -66,7 +66,7 @@
     </wsdl:binding>
     <wsdl:service name="PicketLinkSTS">
         <wsdl:port name="PicketLinkSTSPort" binding="tns:STSBinding">
-            <soap12:address location="http://@node0@:8080/picketlink-sts/PicketLinkSTS"/>
+            <soap12:address location="http://@node0@:${jboss.http.port:8080}/picketlink-sts/PicketLinkSTS"/>
         </wsdl:port>
     </wsdl:service>
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/SecurityService.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/SecurityService.wsdl
index 9ddf57234ba..f5210c0d8d3 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/SecurityService.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/SecurityService.wsdl
@@ -44,7 +44,7 @@
     </binding>
     <service name="SecurityService">
         <port name="SecurityServicePort" binding="tns:SecurityServicePortBinding">
-            <soap:address location="http://@node0@:8080/jaxws-samples-wsse-policy-trust/SecurityService"/>
+            <soap:address location="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust/SecurityService"/>
         </port>
     </service>
 
@@ -70,7 +70,7 @@
                                     <sp:Issuer>
                                         <wsaws:Address>http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService</wsaws:Address>
                                         <wsaws:Metadata xmlns:wsdli="http://www.w3.org/2006/01/wsdl-instance"
-                                                        wsdli:wsdlLocation="http://@node0@:8080/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService?wsdl">
+                                                        wsdli:wsdlLocation="http://@node0@:${jboss.http.port:8080}/jaxws-samples-wsse-policy-trust-sts/SecurityTokenService?wsdl">
                                             <wsaw:ServiceName xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl"
                                                               xmlns:stsns="http://docs.oasis-open.org/ws-sx/ws-trust/200512/"
                                                               EndpointName="UT_Port">stsns:SecurityTokenService
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/bearer-ws-trust-1.4-service.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/bearer-ws-trust-1.4-service.wsdl
index 88cfc1fc628..1e7d7b5abd4 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/bearer-ws-trust-1.4-service.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/bearer-ws-trust-1.4-service.wsdl
@@ -210,7 +210,7 @@
 
     <wsdl:service name="SecurityTokenService">
         <wsdl:port name="UT_Port" binding="tns:UT_Binding">
-            <soap:address location="http://@node0@:8080/SecurityTokenService/UT"/>
+            <soap:address location="http://@node0@:${jboss.http.port:8080}/SecurityTokenService/UT"/>
         </wsdl:port>
     </wsdl:service>
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/holderofkey-ws-trust-1.4-service.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/holderofkey-ws-trust-1.4-service.wsdl
index 88cfc1fc628..1e7d7b5abd4 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/holderofkey-ws-trust-1.4-service.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/holderofkey-ws-trust-1.4-service.wsdl
@@ -210,7 +210,7 @@
 
     <wsdl:service name="SecurityTokenService">
         <wsdl:port name="UT_Port" binding="tns:UT_Binding">
-            <soap:address location="http://@node0@:8080/SecurityTokenService/UT"/>
+            <soap:address location="http://@node0@:${jboss.http.port:8080}/SecurityTokenService/UT"/>
         </wsdl:port>
     </wsdl:service>
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ws-trust-1.4-service.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ws-trust-1.4-service.wsdl
index d2b3a84cb7e..e79319fb1ef 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ws-trust-1.4-service.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WEB-INF/wsdl/ws-trust-1.4-service.wsdl
@@ -181,7 +181,7 @@
 
     <wsdl:service name="SecurityTokenService">
         <wsdl:port name="UT_Port" binding="tns:UT_Binding">
-            <soap:address location="http://@node0@:8080/SecurityTokenService/UT"/>
+            <soap:address location="http://@node0@:${jboss.http.port:8080}/SecurityTokenService/UT"/>
         </wsdl:port>
     </wsdl:service>
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WSTrustTestCase.java b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WSTrustTestCase.java
index 64c16c00103..f2fa35db3ee 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WSTrustTestCase.java
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/trust/WSTrustTestCase.java
@@ -486,7 +486,7 @@ public void testHolderOfKey() throws Exception {
             BusFactory.setThreadDefaultBus(bus);
 
             final QName serviceName = new QName("http://www.jboss.org/jbossws/ws-extensions/holderofkeywssecuritypolicy", "HolderOfKeyService");
-            final URL wsdlURL = new URL("https", serviceURL.getHost(), serviceURL.getPort() - 8080 + 8444, "/jaxws-samples-wsse-policy-trust-holderofkey/HolderOfKeyService?wsdl");
+            final URL wsdlURL = new URL("https", serviceURL.getHost(), serviceURL.getPort() - Integer.parseInt(System.getProperty("jboss.http.port", "8080")) + 8444, "/jaxws-samples-wsse-policy-trust-holderofkey/HolderOfKeyService?wsdl");
             Service service = Service.create(wsdlURL, serviceName);
             HolderOfKeyIface proxy = (HolderOfKeyIface) service.getPort(HolderOfKeyIface.class);
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign-encrypt.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign-encrypt.wsdl
index c6ccfbf0f59..dc9e39bdc91 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign-encrypt.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign-encrypt.wsdl
@@ -40,7 +40,7 @@
     </binding>
     <service name="EJBEncryptSecurityService">
         <port name="EJBEncryptSecurityServicePort" binding="tns:EJBEncryptSecurityServicePortBinding">
-            <soap:address location="http://@jboss.bind.address@:8080/jaxws-wsse-sign-encrypt"/>
+            <soap:address location="http://@jboss.bind.address@:${jboss.http.port:8080}/jaxws-wsse-sign-encrypt"/>
         </port>
     </service>
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign.wsdl
index 583c5e3a3c4..b9cfb23bfe9 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-ejb-sign.wsdl
@@ -40,7 +40,7 @@
     </binding>
     <service name="EJBSecurityService">
         <port name="EJBSecurityServicePort" binding="tns:EJBSecurityServicePortBinding">
-            <soap:address location="http://@jboss.bind.address@:8080/jaxws-wsse-sign"/>
+            <soap:address location="http://@jboss.bind.address@:${jboss.http.port:8080}/jaxws-wsse-sign"/>
         </port>
     </service>
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign-encrypt.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign-encrypt.wsdl
index 038da4e8aea..24568e74d4a 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign-encrypt.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign-encrypt.wsdl
@@ -40,7 +40,7 @@
     </binding>
     <service name="EncryptSecurityService">
         <port name="EncryptSecurityServicePort" binding="tns:EncryptSecurityServicePortBinding">
-            <soap:address location="http://@jboss.bind.address@:8080/jaxws-wsse-sign-encrypt"/>
+            <soap:address location="http://@jboss.bind.address@:${jboss.http.port:8080}/jaxws-wsse-sign-encrypt"/>
         </port>
     </service>
 
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign.wsdl b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign.wsdl
index fa7533e5eb7..b859d3d47c6 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign.wsdl
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/wsse/wsdl/SecurityService-sign.wsdl
@@ -40,7 +40,7 @@
     </binding>
     <service name="SecurityService">
         <port name="SecurityServicePort" binding="tns:SecurityServicePortBinding">
-            <soap:address location="http://@jboss.bind.address@:8080/jaxws-wsse-sign"/>
+            <soap:address location="http://@jboss.bind.address@:${jboss.http.port:8080}/jaxws-wsse-sign"/>
         </port>
     </service>
 
diff --git a/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsat/client/ATClient.java b/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsat/client/ATClient.java
index e63febe34d4..88b429128cb 100644
--- a/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsat/client/ATClient.java
+++ b/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsat/client/ATClient.java
@@ -39,8 +39,7 @@
     private static final Logger log = Logger.getLogger(ATClient.class);
 
     private static final String NODE0_ADDR = NetworkUtils.formatPossibleIpv6Address(System.getProperty("node0", "localhost"));
-    // parametrize this one day in the future?
-    private static final int NODE0_PORT = 8080;
+    private static final int NODE0_PORT = Integer.parseInt(System.getProperty("jboss.http.port", "8080"));
 
     private static final String TARGET_NAMESPACE = "http://www.jboss.com/jbossas/test/xts/wsat/at/";
     private static final String DEFAULT_PORT_NAME = "AT";
diff --git a/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/coordinatorcompletion/client/BACoordinatorCompletionClient.java b/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/coordinatorcompletion/client/BACoordinatorCompletionClient.java
index 64a9c56d7f0..adebe20b239 100644
--- a/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/coordinatorcompletion/client/BACoordinatorCompletionClient.java
+++ b/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/coordinatorcompletion/client/BACoordinatorCompletionClient.java
@@ -40,7 +40,7 @@
     private static final Logger log = Logger.getLogger(BACoordinatorCompletionClient.class);
 
     private static final String NODE0_ADDR = NetworkUtils.formatPossibleIpv6Address(System.getProperty("node0", "localhost"));
-    private static final int NODE0_PORT = 8080;
+    private static final int NODE0_PORT = Integer.parseInt(System.getProperty("jboss.http.port", "8080"));
 
     private static final String TARGET_NAMESPACE = "http://www.jboss.com/jbossas/test/xts/ba/coordinatorcompletion/";
     private static final String DEFAULT_PORT_NAME = "BACoordinatorCompletion";
diff --git a/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/participantcompletion/client/BAParticipantCompletionClient.java b/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/participantcompletion/client/BAParticipantCompletionClient.java
index 975ae2e9e3a..7c644e55ec6 100644
--- a/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/participantcompletion/client/BAParticipantCompletionClient.java
+++ b/testsuite/integration/xts/src/test/java/org/jboss/as/test/xts/wsba/participantcompletion/client/BAParticipantCompletionClient.java
@@ -39,7 +39,7 @@
     private static final Logger log = Logger.getLogger(BAParticipantCompletionClient.class);
 
     private static final String NODE0_ADDR = NetworkUtils.formatPossibleIpv6Address(System.getProperty("node0", "localhost"));
-    private static final int NODE0_PORT = 8080;
+    private static final int NODE0_PORT = Integer.parseInt(System.getProperty("jboss.http.port", "8080"));
 
     private static final String TARGET_NAMESPACE = "http://www.jboss.com/jbossas/test/xts/ba/participantcompletion/";
     private static final String DEFAULT_PORT_NAME = "BAParticipantCompletion";
diff --git a/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/LegacyConfigTest.java b/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/LegacyConfigTest.java
index 62318af1bbc..43a43a6c3f7 100644
--- a/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/LegacyConfigTest.java
+++ b/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/LegacyConfigTest.java
@@ -129,7 +129,7 @@ private void validateServerProfile(ModelControllerClient client, String profile)
 
     private void verifyHttp(String profile) {
         try {
-            URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(DomainTestSupport.slaveAddress) + ":8080").openConnection();
+            URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(DomainTestSupport.slaveAddress) + ":" + TestSuiteEnvironment.getHttpPort()).openConnection();
             connection.connect();
         } catch (IOException e) {
             Assert.fail("Cannot connect to profile " + profile + " " + e.toString());
diff --git a/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/SimpleMixedDomainTest.java b/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/SimpleMixedDomainTest.java
index e3018076112..167979f8d2a 100644
--- a/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/SimpleMixedDomainTest.java
+++ b/testsuite/mixed-domain/src/test/java/org/jboss/as/test/integration/domain/mixed/SimpleMixedDomainTest.java
@@ -110,7 +110,7 @@ public static synchronized void afterClass() {
 
     @Test
     public void test00001_ServerRunning() throws Exception {
-        URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(DomainTestSupport.slaveAddress) + ":8080").openConnection();
+        URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(DomainTestSupport.slaveAddress) + ":" + TestSuiteEnvironment.getHttpPort()).openConnection();
         connection.connect();
     }
 
